Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ispace
Class VerbCapability

    java.lang.Object
      ix.ispace.Capability
          ix.ispace.VerbCapability

    public class VerbCapability

extends Capability

A capability that corresponds to a verb such as would appear in an issue or activity pattern.

Field Summary
`protected java.lang.String` | `verb`

Constructor Summary
`VerbCapability()`
`VerbCapability(java.lang.String verb)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static VerbCapability` | `from(LList pattern)` Returns the capability that corresponds to the pattern's verb.
`static VerbCapability` | `from(java.lang.String verb)` Returns the capability that corresponds to a string containing a verb.
`java.lang.String` | `getVerb()` Returns the verb.
`void` | `setVerb(java.lang.String v)`
`boolean` | `subsumes(Capability required)` Returns true iff the required capability is a VerbCapability for the same verb.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### verb

    protected java.lang.String verb

Constructor Detail

### VerbCapability

    public VerbCapability()

### VerbCapability

    public VerbCapability(java.lang.String verb)

Method Detail

### from

    public static VerbCapability from(java.lang.String verb)

  Returns the capability that corresponds to a string containing a verb.

### from

    public static VerbCapability from(LList pattern)

  Returns the capability that corresponds to the pattern's verb. Patterns are assumed to have a verb as their first element.

### getVerb

    public java.lang.String getVerb()

  Returns the verb.

### setVerb

    public void setVerb(java.lang.String v)

### subsumes

    public boolean subsumes(Capability required)

  Returns true iff the required capability is a VerbCapability for the same verb.

  Specified by:
    `subsumes` in class `Capability`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD